package cn.estsh.i3plus.pojo.model.base;

import cn.estsh.i3plus.pojo.model.busi.OperateUser;
import cn.estsh.i3plus.pojo.model.common.Pager;
import io.swagger.annotations.ApiParam;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 15:58
 * @Modify:
 **/
public class BaseModelBean<Obj> {

    @ApiParam("操作对象")
    private Obj obj;

    @ApiParam("翻页")
    private Pager pager;

    private String OrdersString;

    @ApiParam("操作用户")
    private OperateUser operateUser;

    public BaseModelBean(Obj obj, Pager pager) {
        this.obj = obj;
        this.pager = pager;
    }

    public BaseModelBean() {
    }

    public BaseModelBean(Obj obj, OperateUser operateUser) {
        this.obj = obj;
        this.operateUser = operateUser;
    }

    public BaseModelBean(Obj obj, Pager pager, OperateUser operateUser) {
        this.obj = obj;
        this.pager = pager;
        this.operateUser = operateUser;
    }

    public Obj getObj() {
        return obj;
    }

    public void setObj(Obj obj) {
        this.obj = obj;
    }

    public Pager getPager() {
        return pager;
    }

    public void setPager(Pager pager) {
        this.pager = pager;
    }

    public String getOrdersString() {
        return OrdersString;
    }

    public void setOrdersString(String ordersString) {
        OrdersString = ordersString;
    }

    public OperateUser getOperateUser() {
        return operateUser;
    }

    public void setOperateUser(OperateUser operateUser) {
        this.operateUser = operateUser;
    }
}
